# Generated by Django 3.2.16 on 2022-11-15 16:10

import django.db.models.deletion
from django.db import migrations, models

import docuweb.models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DocumentCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=256)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ManualCategory",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=256)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Manual",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=128, unique=True)),
                ("date_uploaded", models.DateTimeField(auto_now_add=True)),
                ("date_last_changed", models.DateTimeField(auto_now=True)),
                (
                    "file",
                    models.FileField(
                        upload_to=docuweb.models.uploadable_path,
                        validators=[docuweb.models.validate_pdf],
                    ),
                ),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="docuweb.manualcategory",
                    ),
                ),
            ],
            options={
                "ordering": ["id"],
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="Document",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=128, unique=True)),
                ("date_uploaded", models.DateTimeField(auto_now_add=True)),
                ("date_last_changed", models.DateTimeField(auto_now=True)),
                (
                    "file",
                    models.FileField(
                        upload_to=docuweb.models.uploadable_path,
                        validators=[docuweb.models.validate_pdf],
                    ),
                ),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="docuweb.documentcategory",
                    ),
                ),
            ],
            options={
                "ordering": ["id"],
                "abstract": False,
            },
        ),
    ]
